#ifndef _disk_h_
#define _disk_h_
#include "delo.h"
class Disk: public Delo {
	int trajanje;
	double debljina;
	void pisi(ostream& it);
public:
	Disk(const char* autor, const char* naslov,
		 const int& trajanje, const double& debljina) :
			Delo(autor, naslov, 'd'),
			trajanje(trajanje),
			debljina(debljina) {}

	Disk(const Disk& d) :
			Delo(d),
			trajanje(d.trajanje),
			debljina(d.debljina) {}

	Disk& operator = (const Disk& d);
	int getTrajanje() const { return trajanje; }
	double getDebljina() const { return debljina; }
	Disk* kopija() const { return new Disk(*this); }
};
#endif
